Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftFilter

    java.lang.Object
      com.sun.media.sound.SoftFilter

    public class SoftFilter

extends java.lang.Object

Infinite impulse response (IIR) filter class. The filters where implemented and adapted using algorithms from musicdsp.org archive: 1-RC and C filter, Simple 2-pole LP LP and HP filter, biquad, tweaked butterworth RBJ Audio-EQ-Cookbook, EQ filter kookbook

Author:
  Karl Helgason

Field Summary
`static int` | `FILTERTYPE_BP12`
`static int` | `FILTERTYPE_HP12`
`static int` | `FILTERTYPE_HP24`
`static int` | `FILTERTYPE_LP12`
`static int` | `FILTERTYPE_LP24`
`static int` | `FILTERTYPE_LP6`
`static int` | `FILTERTYPE_NP12`

Constructor Summary
`SoftFilter(float samplerate)`

Method Summary
`void` | `filter1(SoftAudioBuffer sbuffer)`
`void` | `filter1calc()`
`void` | `filter2(SoftAudioBuffer sbuffer)`
`void` | `filter2calc()`
`void` | `filter4(SoftAudioBuffer sbuffer)`
`void` | `processAudio(SoftAudioBuffer sbuffer)`
`void` | `reset()`
`void` | `setFilterType(int filtertype)`
`void` | `setFrequency(double cent)`
`void` | `setResonance(double db)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTERTYPE_LP6

    public static final int FILTERTYPE_LP6

See Also:
  Constant Field Values

### FILTERTYPE_LP12

    public static final int FILTERTYPE_LP12

See Also:
  Constant Field Values

### FILTERTYPE_HP12

    public static final int FILTERTYPE_HP12

See Also:
  Constant Field Values

### FILTERTYPE_BP12

    public static final int FILTERTYPE_BP12

See Also:
  Constant Field Values

### FILTERTYPE_NP12

    public static final int FILTERTYPE_NP12

See Also:
  Constant Field Values

### FILTERTYPE_LP24

    public static final int FILTERTYPE_LP24

See Also:
  Constant Field Values

### FILTERTYPE_HP24

    public static final int FILTERTYPE_HP24

See Also:
  Constant Field Values

Constructor Detail

### SoftFilter

    public SoftFilter(float samplerate)

Method Detail

### setFrequency

    public void setFrequency(double cent)

### setResonance

    public void setResonance(double db)

### reset

    public void reset()

### setFilterType

    public void setFilterType(int filtertype)

### processAudio

    public void processAudio(SoftAudioBuffer sbuffer)

### filter4

    public void filter4(SoftAudioBuffer sbuffer)

### filter2calc

    public void filter2calc()

### filter2

    public void filter2(SoftAudioBuffer sbuffer)

### filter1calc

    public void filter1calc()

### filter1

    public void filter1(SoftAudioBuffer sbuffer)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD